.o-history-overview {
  border-radius: 0 0 2rem 2rem;
  box-shadow: 0.25rem 0.5rem 1.5rem var(--black-alpha-15);
  background-color: var(--white);

  &__container {
    padding: 2rem;
  }

  &__range {
    padding: 1rem 1rem 0;
  }

  &__period-container {
    position: relative;
  }

  &__period-placeholder {
    height: 3.5rem;
    width: 100%;
  }

  &__period {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
    padding: 1rem 1rem 0;

    &__button.a-button {
      flex: 0 1 auto;
    }

    &__title {
      flex: 1 0 auto;
      border-right: 1px solid var(--black-0);
      background-color: var(--white);
      padding: 0 1rem;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &.-sticky {
      position: fixed;
      top: 4.2rem;
    }
  }

  &__podium {
    list-style: none;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    margin: 0;
    padding: 0;

    &__place {
      margin: 0 1rem 2rem;
      display: flex;
      align-items: center;
      flex-direction: column;

      &__crown {
        padding: 1rem;
        border-radius: 100%;
        box-shadow: 0.125rem 0.25rem 0.75rem var(--black-alpha-15);
        width: 4rem;
        height: 4rem;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--black-100);
        position: relative;
        margin-bottom: 2rem;

        mat-icon {
          transform: scale(3);
          color: var(--functional-gold);
        }

        span {
          position: absolute;
          background-color: var(--white);
          border-radius: 0.5rem;
          box-shadow: 0.125rem 0.25rem 0.75rem var(--black-alpha-15);
          bottom: -1.1rem;
          padding: 0.2rem 1rem;
          line-height: 1.3;
          font-weight: 500;
          font-size: 1.2rem;
        }

        &.-small {
          width: 2rem;
          height: 2rem;
          opacity: 0.5;

          mat-icon {
            transform: scale(1.95);
            color: var(--black-25);
          }

          span {
            font-size: 0.9rem;
            padding: 0.15rem 0.75rem;
          }
        }
      }

      &__name {
        margin: 0;
        font-weight: 500;
        font-size: 2rem;

        &.-small {
          font-size: 1.25rem;
          line-height: 1.4;
          font-weight: normal;
        }
      }
    }
  }
}
